Package org.bukkit.event.block

# Class BlockPistonRetractEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockPistonEvent
org.bukkit.event.block.BlockPistonRetractEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockPistonRetractEvent extends BlockPistonEvent
Called when a piston retracts

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockPistonRetractEvent(@NotNull Block block, @NotNull List<Block> blocks, @NotNull BlockFace direction)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<Block>`
`getBlocks()`
Get an immutable list of the blocks which will be moved by the extending.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Location`
`getRetractLocation()`
Deprecated.

### Methods inherited from class org.bukkit.event.block.BlockPistonEvent

`getDirection, isCancelled, isSticky, setCancelled`

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockPistonRetractEvent

public BlockPistonRetractEvent(@NotNull @NotNull Block block, @NotNull @NotNull List<Block> blocks, @NotNull @NotNull BlockFace direction)

## Method Details

### getRetractLocation

@Deprecated @NotNull public @NotNull Location getRetractLocation()
Deprecated.
Gets the location where the possible moving block might be if the retracting piston is sticky.

Returns:
  The possible location of the possibly moving block.

### getBlocks

@NotNull public @NotNull List<Block> getBlocks()
Get an immutable list of the blocks which will be moved by the extending.

Returns:
  Immutable list of the moved blocks.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()